Bug 229750 - archivers/rpm4: Please upgrade rpm version to 4.14.2 and use lmdb as rpm backend storage.
Summary: archivers/rpm4: Please upgrade rpm version to 4.14.2 and use lmdb as rpm back...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-13 10:01 UTC by Brian Zou
Modified: 2018-09-02 16:30 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Zou 2018-07-13 10:01:13 UTC
Please upgrade rpm version to 4.14.2 and use lmdb as rpm backend storage.

rpm 4.14.x supported lmdb as backend storage.

lmdb instead of libdb5.

https://github.com/rpm-software-management/rpm/blob/rpm-4.14.2-rc1/lib/backend/lmdb.c
Comment 1 Rodrigo Osorio freebsd_committer 2018-07-13 11:59:43 UTC
Hi, it seems that the version you are pointing to is a release candidate, not an official one. even linux distributions such as Debian uses that one.

Do you have a need that requires this specific version  ?
Comment 2 Brian Zou 2018-07-14 18:26:05 UTC
(In reply to Rodrigo Osorio from comment #1)

OK, rpm4 latest version is 4.14.1

We should upgrade to 4.14.x

This branch add lmdb / openssl Add support for RISCV-64.

https://fedoraproject.org/wiki/Changes/RPM-4.14
http://rpm.org/wiki/Releases/4.14.0
Comment 3 Brian Zou 2018-08-22 17:39:14 UTC
RPM 4.14.2 released! (Aug 21 2018)

    1. Support for enforcing signature policy and payload verification
    2. Numerous bugfixes and minor enhancements across the board
    3. See release notes for details and download information

http://rpm.org/wiki/Releases/4.14.2
Comment 4 Rodrigo Osorio freebsd_committer 2018-08-25 12:00:42 UTC
Hi Brian,

I did the upgrade to 4.14.2, but I'm not an rpm expert so could you please try this new version before I commit it ?

I publish 2 amd64 versions for FreeBSD 12 and 11. There's also the patch if you wan to build it by yourself : https://people.freebsd.org/~rodrigo/pkg/

Cheers,
- rodrigo
Comment 5 commit-hook freebsd_committer 2018-09-02 16:30:10 UTC
A commit references this bug:

Author: rodrigo
Date: Sun Sep  2 16:29:58 UTC 2018
New revision: 478806
URL: https://svnweb.freebsd.org/changeset/ports/478806

Log:
  Upgrade archivers/rpm4 from v4.13.1 to v4.14.2

  Main changes:
    - Support for enforcing signature policy and payload verification
    - Numerous bugfixes and minor enhancements across the board
  See detailed release note here : http://rpm.org/wiki/Releases/4.14.2

  Since I'm here :
   - redo the patches using makepatch
   - remove unnecesary USE_LDCONFIG (repored by portlint)

  PR:		229750
  Reported by:	Brian Zou  <zoujiaqing@gmail.com>

Changes:
  head/archivers/rpm4/Makefile
  head/archivers/rpm4/distinfo
  head/archivers/rpm4/files/patch-misc_fts.c
  head/archivers/rpm4/files/patch-plugins_ima.c
  head/archivers/rpm4/files/patch-system.h
  head/archivers/rpm4/pkg-plist
Comment 6 Rodrigo Osorio freebsd_committer 2018-09-02 16:30:51 UTC
Committed thanks.